package com.sinosig.core.module.dao;

import com.sinosig.core.module.filter.JQXXXSearchContext;
import com.sinosig.core.module.dao.po.IJQXXXTable;
import java.util.List;
import java.util.Map;

/**
 * 关系型数据实体表[Table]DAO对象
 */
public interface IJQXXXTableDAO {

    IJQXXXTable createJqxxxTable();

    boolean create(IJQXXXTable et);

    boolean update(IJQXXXTable et);

    IJQXXXTable get(String jqxxxid);

    IJQXXXTable get(IJQXXXTable et);

    boolean remove(String jqxxxid);


    List<IJQXXXTable> searchDefault(JQXXXSearchContext context);
}
